> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Vérification de passeport

> Vérifiez l'identité d'un client à l'aide de son numéro de passeport international nigérian.

<Warning>
  Ce service n'est pas disponible actuellement. Nous travaillons à le restaurer — veuillez consulter à nouveau bientôt.
</Warning>

L'endpoint de vérification de passeport valide un numéro de passeport nigérian par rapport à la base de données gouvernementale et renvoie les détails personnels du titreur, les dates de validité du passeport et une photo.

## Endpoint

```
POST /api/onboarding/nigeria_kyc/passport/
```

## Requête

### En-têtes

| En-tête          | Valeur                | Requis |
| ---------------- | --------------------- | ------ |
| `x-access-token` | Votre clé secrète API | Oui    |
| `Content-Type`   | `application/json`    | Oui    |

### Paramètres de corps

| Paramètre         | Type   | Requis | Description                                        |
| ----------------- | ------ | ------ | -------------------------------------------------- |
| `passport_number` | string | Oui    | Le numéro de passeport du client                   |
| `surname`         | string | Oui    | Nom de famille tel qu'il apparaît sur le passeport |
| `date_of_birth`   | string | Oui    | Date de naissance au format `YYYY-MM-DD`           |

### Exemple

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/passport/" \
    -H "x-access-token: YOUR_SECRET_KEY" \
    -H "Content-Type: application/json" \
    -d '{"passport_number": "Z18679232", "surname": "John", "date_of_birth": "1994-08-11"}'
  ```

  ```python Python theme={null}
  import requests
  response = requests.post(
      "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/passport/",
      headers={"x-access-token": "YOUR_SECRET_KEY", "Content-Type": "application/json"},
      json={"passport_number": "Z18679232", "surname": "John", "date_of_birth": "1994-08-11"},
  )
  ```
</CodeGroup>

## Réponse

### 200 OK

| Champ                 | Type   | Description                                       |
| --------------------- | ------ | ------------------------------------------------- |
| `data.passportNumber` | string | Numéro de passeport                               |
| `data.lastName`       | string | Nom de famille                                    |
| `data.firstName`      | string | Prénom                                            |
| `data.middleName`     | string | Deuxième prénom                                   |
| `data.dateOfBirth`    | string | Date de naissance                                 |
| `data.gender`         | string | Genre                                             |
| `data.dateOfIssue`    | string | Date de délivrance du passeport                   |
| `data.expiryDate`     | string | Date d'expiration du passeport                    |
| `data.issuePlace`     | string | État/lieu de délivrance du passeport              |
| `data.documentType`   | string | Type de passeport (par ex. `"Standard Passport"`) |
| `data.phoneNumber`    | string | Numéro de téléphone enregistré                    |
| `data.image`          | string | Photo du passeport encodée en base64              |
| `data.referenceID`    | string | ID de référence interne                           |

```json theme={null}
{
  "status": "success",
  "data": {
    "passportNumber": "Z18679232",
    "dateOfIssue": "20/09/2023",
    "expiryDate": "19/09/2028",
    "documentType": "Standard Passport",
    "issuePlace": "OGUN STATE",
    "lastName": "JOHN",
    "firstName": "EMMANUEL",
    "middleName": "IFEANYI",
    "dateOfBirth": "10/04/2000",
    "gender": "Male",
    "image": "<base64-encoded-jpeg>",
    "referenceID": "23445",
    "phoneNumber": "09011002200"
  },
  "message": "International Passport details retrieved successfully"
}
```

### 400 Bad Request

```json theme={null}
{
  "status": "failed",
  "data": [],
  "message": "Sorry, your check cannot be processed at the moment. Please try again in a few minutes"
}
```

### 401 Unauthorized

```json theme={null}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
```


## OpenAPI

````yaml POST /api/onboarding/nigeria_kyc/passport/
openapi: 3.0.3
info:
  title: Adhere API
  description: >-
    Identity verification, credit checks, transaction monitoring, and loan fraud
    detection across Africa.
  version: 3.0.0
servers:
  - url: https://adhere-api.smartcomply.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Nigeria KYC
  - name: Kenya KYC
  - name: Ghana KYC
  - name: Rwanda KYC
  - name: Uganda KYC
  - name: Document Verification
  - name: Biometrics
  - name: Individual Credit
  - name: Business Credit
  - name: Transaction Monitoring
  - name: Transaction Screening
  - name: Transaction KYC
  - name: Loan Fraud
  - name: User Journey
paths:
  /api/onboarding/nigeria_kyc/passport/:
    post:
      tags:
        - Nigeria KYC
      summary: Passport Verification
      operationId: nigeriaPassport
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - passport_number
                - surname
                - date_of_birth
              properties:
                passport_number:
                  type: string
                  description: The customer's passport number
                  example: Z18679232
                surname:
                  type: string
                  description: Surname as on the passport
                  example: John
                date_of_birth:
                  type: string
                  description: Date of birth in YYYY-MM-DD format
                  example: '1994-08-11'
      responses:
        '200':
          description: Passport verified
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              data:
                type: array
                items: {}
              message:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              message:
                type: string
                example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: Your Adhere API secret key

````